Skip to main content
GET
Get overall responses stats of a project

Description

Retrieves stats data of all responses that correspond to the specified campaign and date range.

Response

200 OK

where:
  • channelData: Array of responses count for each distribution channel, eg. Email, Sms, Admin Link, etc.
  • dailyResponsesData: Array of responses count per day (within the specified date range in the dashboard filter).
  • globalResponsesData: Array of global metrics of the desired responses.

400 Bad Request

ProjectId, fromDate and/or toDate are missing.

401 Unauthorized

The user doesn’t have permissions.

500 Internal Server Error

Error occurred while processing the request.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string
fromDate
string
toDate
string

Response

Get overall responses stats of a project

The response is of type object.